蓝点网
给你感兴趣的内容

jQuery 3.0版正式发布 抛弃对旧版的IE浏览器支持

jQuery基金会目前已经正式发布了该JavaScript框架的V3.0版本,该版本也首次抛弃了对老旧版本Internet Explorer浏览器的支持。

jQuery是一个被众多网站或应用广泛使用的轻量级JavaScript库,jQuery以其优秀的兼容性且保持免费和开源赢得了众多开发者的参与和网站的使用。

jQuery 3.0版正式发布 抛弃对旧版的IE浏览器支持

jQuery 3.0版的开发工作在2014年10月份就已经开始了,jQuery基金会的目标是在2.0版上进行完善并与遥远的1.0版代码说再见。

jQuery 1.0版因为需要兼容各种版本的Internet Explorer浏览器因为变得极其臃肿,而2.0版已经和1.0版完全不兼容、3.0版也将继续这个路线。

jQuery基金会表示3.0版的突破性变化很小,用户应该可以轻松地通过jQuery Migrate将代码移植过来,用户无需再他们的项目中增加对老旧版本的IE浏览器的支持。

另外如果你(开发者)仍然不愿意放弃已经被微软放弃的Internet Explorer 6/7/8,那么很遗憾你只能继续使用jQuery 1.0版了。

访问:

jQuery官方博客:http://blog.jquery.com/2016/06/09/jquery-3-0-final-released/

下载jQuery 3.0:https://code.jquery.com/jquery-3.0.0.js

转载请注明蓝点网 » jQuery 3.0版正式发布 抛弃对旧版的IE浏览器支持
分享到:
除非特别注明否则下列评论均不代表本站观点

评论 2

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #1
    Unknown Unknown Unknown Unknown

    IE家族的,只支持11最好了→_→为了兼容各个版本,简直想砍人!

    烟花三月1年前 (2016-06-11)回复
    • Unknown Unknown Unknown Unknown

      兼顾太麻烦了 尤其是IE 6还不支持H5 所以蓝点网已经不支持IE6了 IE 7也不支持了

      山外的鸭子哥1年前 (2016-06-11)回复